View Issue Details

IDProjectCategoryView StatusLast Update
0006028Talerwallet (Android App)public2021-08-24 16:23
Reporterdavidak Assigned ToFlorian Dold  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.7.1Fixed in Version0.8 
Summary0006028: operation gets stuck when repeating withdraw 10 times
Description.
Steps To Reproduce0. open app
1. click "Withdraw testkudos" and wait until operation is finished
2. repeat 1. about 10 times

at some point the operation gets stuck, the withdraw button will stay greyed out. you can even wait 10 minutes and nothing will happen

WORKAROUND: close app and open again. the operation will finish normally and you can start again. maybe you have to click on "retry pending operation" (which might be there because this issue is known?)
Additional InformationAndroid app version 0.6.0pre8, apk from website
TagsNo tags attached.

Activities

davidak

2020-01-06 23:54

reporter  

Florian Dold

2020-01-07 17:14

manager   ~0015235

This is the request throttling feature of the wallet kicking in. We want to protect against bugs in the wallet accidentally DoS-ing our servers (or any server), so we have request throttling on a per-origin basis in the wallet networking layer.

Restarting the wallet app manually resets request throttling.

The real bug here is that the error ("request throttled") isn't shown properly in the pending operations.

Florian Dold

2020-09-04 13:56

manager   ~0016843

Huh, there was actually a major bug in the token bucket implementation that the wallet uses to throttle request. This is fixed now, and in the Android App, dozens of "withdraw testkudos" requests work.

Issue History

Date Modified Username Field Change
2020-01-06 23:54 davidak New Issue
2020-01-06 23:54 davidak File Added: signal-attachment-2020-01-06-234849.png
2020-01-07 17:14 Florian Dold Assigned To => Florian Dold
2020-01-07 17:14 Florian Dold Status new => confirmed
2020-01-07 17:14 Florian Dold Note Added: 0015235
2020-01-07 17:14 Florian Dold Product Version => git (master)
2020-01-07 17:14 Florian Dold Target Version => 0.7.0
2020-01-07 17:14 Florian Dold Steps to Reproduce Updated
2020-01-07 17:14 Florian Dold Additional Information Updated
2020-03-29 21:46 Christian Grothoff Target Version 0.7.0 => 0.7.1
2020-09-04 13:56 Florian Dold Status confirmed => resolved
2020-09-04 13:56 Florian Dold Resolution open => fixed
2020-09-04 13:56 Florian Dold Note Added: 0016843
2020-10-03 14:08 Christian Grothoff Fixed in Version => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed